CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: General Discussions: General Questions:
Perl install (LWP)

 



darb
Deleted

Jun 27, 2000, 12:08 AM

Post #1 of 3 (3161 views)
Perl install (LWP) Can't Post

Hello,

Perhaps someone could help me with the following Perl problem:

I tried to install LWP mod for perl because my Mandrake 6 package didn't include it (also did an upgrade to 5.6), but get the following error:

Can't locate URI/URI.pm in @INC (@INC contains: /usrlib/perl5/5.6.0/i386-linux /usr/lib/perl5/5.6.0
/usr/lib/perl5/site_perl/5.6.0i386-linux /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl/5.005/i386-linux /usr/lib/perl5/site_perl/5.005
/usr/lib/perl5/site_perl .) at (eval 1) line3.
Compilation failed at /usr/lib/perl5/site_perl/5.6.0/HTTP/request.pm line 40.
Compilation failed at /usr/lib/perl5/site_perl/5.6.0/LWP/UserAgent.pm line 97.
Compilation failed in require yca.pl line 3.

What am I missing?

Thanks, in advance!


TheGame+
Deleted

Jun 27, 2000, 3:31 AM

Post #2 of 3 (3161 views)
Re: Perl install (LWP) [In reply to] Can't Post

What package did you try to install exactly ? Installing LWP by itself requires URI, Digest::MD5 etc.

It's probably easier to install Bundle::LWP, which (should) contain all the necessary modules.

Contents :

URI 0.10 - There are URIs everywhere

Net::FTP 2.00 - If you want ftp://-support

MIME::Base64 - Used in authentication headers

Digest::MD5 - Needed to do Digest authentication

HTML::HeadParser - To get the correct $res->base

LWP - The reason why you need the modules above



darb
Deleted

Jun 27, 2000, 1:01 PM

Post #3 of 3 (3161 views)
Re: Perl install (LWP) [In reply to] Can't Post

Hi,

Thanks for the reply.

I went back and reinstalled all of the following:

perl-5.600-5mdk
perl-base-5.600-5mdk
perl-libwww-perl-5.47-3mdk
perl-HTML
perl-URI
perl-Mime
perl-Digest-MD5

Now my error reads:

Can't located HTML/Parse.pm in @INC (@INC contains: .....)

I can't find any reference to Parse.pm in any of the modules.


[This message has been edited by darb (edited 06-27-2000).]

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives